/*------------------------------------*\
    #HELPERS.MARGIN
\*------------------------------------*/
/**
 * Margin helpers
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}clear,
%#{$inuit-namespace}clear {

    &--all-borders {
        border-width: 0;
    }

    &--top-border {
        border-top-width: 0;
    }

    &--right-border {
        border-right-width: 0;
    }

    &--bottom-border {
        border-bottom-width: 0;
    }

    &--left-border {
        border-left-width: 0;
    }
}

.#{$inuit-namespace}add,
%#{$inuit-namespace}add {

    &--top-border {
        border-top: 1px solid $frs-color-light-grey;
    }

    &--right-border {
        border-right: 1px solid $frs-color-light-grey;
    }

    &--bottom-border {
        border-bottom: 1px solid $frs-color-light-grey;
    }

    &--left-border {
        border-left: 1px solid $frs-color-light-grey;
    }
}
